| Qore ConnectionProvider Module Reference 2.0.1

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
ConnectionProvider::UpdateOptionsInterface Class Reference

Interface class inherited by connection classes that declare the AbstractConnection::CF_UPDATE_OPTIONS feature. More...

`#include <UpdateOptionsInterface.qc.dox.h>`

Inheritance diagram for ConnectionProvider::UpdateOptionsInterface:
[legend]

## Public Member Functions
| flushOptionUpdates ()
| Set update options calls to no longer be postponed.
| postponeUpdateOptions (*LoggerInterface logger)
| Set update options calls to be postponed.
| setUpdateOptionsCode (*code update_options)
| Can be called to set or clear a closure or call reference to be called when options are automatically updated.

## Protected Member Functions
| doUpdateOptions (*LoggerInterface logger, hash< auto > new_opts)
| Performs the option update in the external system.

## Protected Attributes
transient *hash< auto > | pending_options
| Storage for postponed options to update.
transient bool | postpone_update_options
| Flag to postpone update options calls.
transient LoggerInterface | postpone_update_options_logger
| Logger when postponing update options calls.
transient *code | update_options
| Closure or call reference to be called when connection options should be automatically updated.

## Detailed Description

Interface class inherited by connection classes that declare the AbstractConnection::CF_UPDATE_OPTIONS feature.

## Member Function Documentation

## ◆ postponeUpdateOptions()

ConnectionProvider::UpdateOptionsInterface::postponeUpdateOptions | ( | *LoggerInterface | logger | ) |

Set update options calls to be postponed.

Must be coupled with a single call to flushOptionUpdates()

## ◆ setUpdateOptionsCode()

ConnectionProvider::UpdateOptionsInterface::setUpdateOptionsCode | ( | *code | update_options | ) |

Can be called to set or clear a closure or call reference to be called when options are automatically updated.

The closure or call reference must have the following signature: `<update_options(hash<auto> options)`

## Member Data Documentation

## ◆ update_options

transient *code ConnectionProvider::UpdateOptionsInterface::update_options
| protected

Closure or call reference to be called when connection options should be automatically updated.

The closure or call reference must have the following signature: `<update_options(hash<auto> options) /tt>`